%global momorel 1
%global vimversion vim81
%global patchlevel 0454
%global vimsrcversion 8.1.%{patchlevel}
%global _default_patch_fuzz 2

%global vimruntime %{_datadir}/vim/%{vimversion}

Summary: The VIM editor
Name: vim
#Version: %{vimsrcversion}.%{patchlevel}
Version: %{vimsrcversion}
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
URL: http://www.vim.org/
#Source0: http://ftp.vim.org/pub/vim/unix/vim-%{vimsrcversion}.tar.bz2
#Source1: ftp://ftp.vim.org/pub/vim/unreleased/unix/vim-%{vimsrcversion}-rt.tar.bz2
Source0: https://github.com/vim/vim/archive/v%{vimsrcversion}/vim-%{vimsrcversion}.tar.gz
Source2: vimx.wmconfig
Source3: vimrc
Source4: README
Source5: gvimrc
Source10: gvim16.png
Source11: gvim32.png
Source12: gvim48.png
Source13: gvim64.png
Source14: gvim.desktop
Source100: euc-jp.ps
Source101: sjis.ps
Source102: euc-cn.ps
Source103: euc-kr.ps
Source104: big5.ps

Patch1: vim72-vimnotvi.patch
Patch2: vim-5.6a-paths.patch
Patch3: vim-6.0-fixkeys.patch
#Patch4: vim-6.0-specsyntax.patch
Patch5: vim-6.0r-crv.patch
Patch6: vim-6.0z-menui18n.patch
Patch7: vim-6.0t-phphighlight.patch
# Patch8: vim-6.0v-lilo.patch
Patch10: vim-6.2-hardcopy-multibyte.patch
# for security --> Patch145 6.3.045
#Patch11: vim-6.3-modeline_command_execution_vulnerablity.patch

# look at not only %%define but %%global on searching a variable definition in .spec file
Patch12: vim-6.3-accept-global-variable-definition-in-spec.vim.patch


# momonga specific patches
Patch50: vim-8.0-fix-changelog-format-for-momonga.patch
Patch51: vim-8.0-spec_vim-momorel.patch
Patch52: vim-7.0-syntax-spec-momonga.patch

# vim official patches
# (bzipped ftp://ftp.vim.org/pub/vim/patches/8.0/* )

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel >= 2.7
BuildRequires: perl >= 5.12.0
BuildRequires: perl-ExtUtils-Embed
BuildRequires: ruby
BuildRequires: gnome-libs-devel
BuildRequires: libbsd-devel
BuildRequires: ncurses-devel >= 5.6-10
BuildRequires: gpm-devel >= 1.20.5
BuildRequires: autoconf

NoSource: 0
#NoSource: 1

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package macros
Summary: The macro files needed by enhanced or X11 version of the VIM editor
Group: Applications/Editors

%description macros
vim macros

%package common
Summary: The common files needed by any version of the VIM editor
Group: Applications/Editors

%description common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

If you are installing any version of the VIM editor, you'll also need
to the vim-common package installed.

%package minimal
Summary: A minimal version of the VIM editor
Group: Applications/Editors
Requires: vim-common
Obsoletes:  vim

Requires: ncurses

%description minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more. The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present.

%package enhanced
Summary: A version of the VIM editor which includes recent enhancements
Group: Applications/Editors
Requires: vim-common vim-macros
Obsoletes: vim-color

Requires: gpm
Requires: ncurses
Requires: ruby
Requires: perl-libs
Requires: python

%description enhanced
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-enhanced package contains a version of VIM with extra, recently
introduced features like Python and Perl interpreters.

Install the vim-enhanced package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%package X11
Summary: The VIM version of the vi editor for the X Window System
Group: Applications/Editors
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: vim-common vim-macros

Requires: gpm
Requires: ncurses
Requires: gnome-libs
Requires: perl
Requires: ruby
Requires: python
Requires: desktop-file-utils >= 0.10

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more. VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.

%prep

%setup -q 

%patch1 -p1 -b .vim
# fix rogue dependencies from sample code
chmod -x runtime/tools/mve.awk
%patch2 -p1 -b .paths
find . -name \*.paths | xargs rm -f
#%patch3 -p1 -b .fixkeys
#%patch4 -p1 -b .highlite
#%patch5 -p1 -b .crv
#%patch6 -p1 -b .menui18n
#%patch7 -p1 -b .php
#%patch100 -p0

#%%patch12 -p1

# momonga specific patches
%patch50 -p1 -b .momonga-fmt
%patch51 -p1 -b .momorel
%patch52 -p1 -b .momonga-syntax

cp %{SOURCE4} .

perl -pi -e "s,bin/nawk,bin/awk,g" runtime/tools/mve.awk
perl -pi -e "s|prompt|prompt lba32|g" runtime/syntax/lilo.vim

%build
cd src
autoconf
perl -pi -e "s,\\\$VIMRUNTIME,%{vimruntime},g" os_unix.h
perl -pi -e "s,\\\$VIM,%{vimruntime},g" os_unix.h

%configure --with-features=huge \
           --enable-pythoninterp \
           --enable-perlinterp \
           --disable-tclinterp \
           --enable-multibyte \
           --enable-broken-locale \
           --with-x=yes \
           --enable-gui=gnome2 \
           --exec-prefix=%{_prefix} \
           --enable-xim \
           --enable-fontset

#           --enable-rubyinterp \
%make
cp vim gvim
make clean
rm -f auto/{config.log,config.cache,config.guess}

%configure --prefix=%{_prefix} \
           --with-features=huge \
           --enable-pythoninterp \
           --enable-perlinterp \
           --disable-tclinterp \
           --with-x=no \
           --enable-gui=no \
           --exec-prefix=/usr \
           --enable-multibyte \
           --enable-broken-locale

#           --enable-rubyinterp \
%make
cp vim enhanced-vim
make clean

rm -f auto/{config.log,config.cache,config.guess}

%configure --prefix='${DEST}'/usr \
           --with-features=small \
           --with-x=no \
           --disable-pythoninterp \
           --disable-perlinterp \
           --disable-tclinterp \
           --disable-rubyinterp \
           --enable-gui=no \
           --disable-gpm \
           --exec-prefix=/ \
           --with-tlib=ncurses \
           --enable-multibyte \
           --enable-broken-locale

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/bin
mkdir -p %{buildroot}/usr/{bin,share/vim}
mkdir -p %{buildroot}%{_mandir}/man1

pushd src
%makeinstall BINDIR=%{buildroot}/bin DATADIR=%{buildroot}%{_datadir} MANDIR=%{buildroot}%{_mandir}
mv %{buildroot}/bin/xxd %{buildroot}%{_bindir}
install -s -m755 gvim %{buildroot}%{_bindir}
install -s -m755 enhanced-vim %{buildroot}%{_bindir}/vim
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
install -m644 %{SOURCE10} \
   %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gvim.png
install -m644 %{SOURCE11} \
   %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gvim.png
install -m644 %{SOURCE12} \
   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gvim.png
install -m644 %{SOURCE13} \
   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/gvim.png

( cd %{buildroot}
  mv -f ./bin/vim ./bin/vi
  rm -f ./bin/rvim
  ln -sf vi ./bin/view
  ln -sf vi ./bin/ex
  ln -sf vi ./bin/rvi
  ln -sf vi ./bin/rview
#  ln -sf vim ./usr/bin/ex
  ln -sf gvim ./usr/bin/gview
  ln -sf gvim ./usr/bin/gex
  ln -sf gvim ./usr/bin/vimx
#
# Momonga BTS 503
# No Need to do below
# for vim-enhanced (ln -sf /usr/bin/vim /usr/bin/ex)
#  ln -sf vim ./usr/bin/ex
  perl -pi -e "s,%{buildroot},," .%{_mandir}/man1/vim.1 .%{_mandir}/man1/vimtutor.1
  rm -f .%{_mandir}/man1/rvim.1
  ln -sf vim.1.bz2 .%{_mandir}/man1/vi.1.bz2
  ln -sf vim.1.bz2 .%{_mandir}/man1/rvi.1.bz2
  ln -sf vim.1.bz2 .%{_mandir}/man1/gvim.1.bz2

  mkdir -p .%{_datadir}/applications
  desktop-file-install --vendor=                  \
      --dir %{buildroot}%{_datadir}/applications  \
      --add-category Application                  \
      --add-category Development                  \
      --add-category TextEditor                   \
      %{SOURCE14}

#mkdir -p ./etc/X11/wmconfig
#install -m644 $RPM_SOURCE_DIR/vimx.wmconfig ./etc/X11/wmconfig/gvim
#  install -s -m644 $RPM_SOURCE_DIR/vimrc ./usr/share/vim/%%{vimversion}/macros/
install -m644  %{SOURCE3}  ./%{vimruntime}/macros/vimrc
# install -m644  %%{SOURCE5}  ./usr/share/vim/%%{vimversion}/macros/gvimrc

install -m644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} ./usr/share/vim/%{vimversion}/print/

  pushd ./%{vimruntime}/lang

# for nl_nl
#  iconv -f ISO-8859-1 -t UTF-8 menu_nl_nl.iso_8859-1.vim >menu_nl_nl.utf-8.vim
#  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_nl_nl.utf-8.vim
# for de_de
#  iconv -f ISO-8859-1 -t UTF-8 menu_de_de.iso_8859-1.vim >menu_de_de.utf-8.vim
#  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_de_de.utf-8.vim
# for cs_cz
  iconv -f ISO-8859-2 -t UTF-8 menu_cs_cz.iso_8859-2.vim >menu_cs_cz.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_cs_cz.utf-8.vim
# for chinese
  iconv -f BIG5 -t UTF-8 menu_chinese_taiwan.950.vim >menu_chinese_taiwan.utf-8.vim
  perl -p -i -e "s|scriptencoding cp950|scriptencoding utf-8|g" menu_chinese_taiwan.utf-8.vim
# for korean
  iconv -f EUC-KR -t UTF-8 menu_ko_kr.euckr.vim >menu_ko_kr.utf-8.vim
  perl -p -i -e "s|scriptencoding euc-kr|scriptencoding utf-8|g" menu_ko_kr.utf-8.vim
# for af_af
#  iconv -f ISO-8859-1 -t UTF-8 menu_af_af.iso_8859-1.vim >menu_af_af.utf-8.vim
#  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_af_af.utf-8.vim
# for es_es
#  iconv -f ISO-8859-1 -t UTF-8 menu_es_es.iso_8859-1.vim >menu_es_es.utf-8.vim
#  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_es_es.utf-8.vim
# for pl_pl
  iconv -f ISO-8859-1 -t UTF-8 menu_pl_pl.iso_8859-2.vim >menu_pl_pl.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_pl_pl.utf-8.vim
# for hu_hu
  iconv -f ISO-8859-2 -t UTF-8 menu_hu_hu.iso_8859-2.vim >menu_hu_hu.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_hu_hu.utf-8.vim
# for it_it
#  iconv -f ISO-8859-1 -t UTF-8 menu_it_it.iso_8859-1.vim >menu_it_it.utf-8.vim
#  perl -p -i -e "s|scriptencoding iso-8859-1|scriptencoding utf-8|g" menu_it_it.utf-8.vim
#for sk_sk
  iconv -f ISO-8859-2 -t UTF-8 menu_sk_sk.iso_8859-2.vim >menu_sk_sk.utf-8.vim
  perl -p -i -e "s|scriptencoding iso-8859-2|scriptencoding utf-8|g" menu_sk_sk.utf-8.vim

#  install -s -m644 %%{SOURCE3} ./usr/share/vim/%%{vimversion}/macros/
#  ln -s vimrc ./usr/share/vim/%%{vimversion}/macros/gvimrc
)

# Dependency cleanups
chmod 644 %{buildroot}%{vimruntime}/doc/vim2html.pl \
 %{buildroot}%{vimruntime}/tools/*.pl \
 %{buildroot}%{vimruntime}/tools/vim132

popd

%if 0
# file list for vim-macros
ls %{buildroot}%{vimruntime} |\
    sed -n '/^doc$/ ! s,^,%{vimruntime}/,p' > files-macros.list
%endif


# FIXME
rm -rf %{buildroot}/%{_datadir}/vim/vim74/pack/

%clean
rm -rf --preserve-root %{buildroot}

%post X11
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun X11
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files common
%defattr(-,root,root)
%doc README README*.txt runtime/doc/uganda.txt
%{_bindir}/xxd
%dir %{_datadir}/vim
%dir %{_datadir}/vim/%{vimversion}
%docdir %{_datadir}/vim/%{vimversion}/doc
%{_datadir}/vim/%{vimversion}/doc
%{_datadir}/vim/%{vimversion}/rgb.txt
%{_mandir}/da.ISO8859-1/man1/*
%{_mandir}/da.UTF-8/man1/*
%{_mandir}/da/man1/*
%{_mandir}/de.ISO8859-1/man1/*
%{_mandir}/de.UTF-8/man1/*
%{_mandir}/de/man1/*
%{_mandir}/fr.ISO8859-1/man1/*
%{_mandir}/fr.UTF-8/man1/*
%{_mandir}/fr/man1/*
%{_mandir}/it.ISO8859-1/man1/*
%{_mandir}/it.UTF-8/man1/*
%{_mandir}/it/man1/*
%{_mandir}/ja/man1/*
%{_mandir}/pl.ISO8859-2/man1/*
%{_mandir}/pl.UTF-8/man1/*
%{_mandir}/pl/man1/*
%{_mandir}/ru.KOI8-R/man1/*
%{_mandir}/ru.UTF-8/man1/*
%{_mandir}/man1/ex.*
%{_mandir}/man1/gvim.*
%{_mandir}/man1/rvi.*
%{_mandir}/man1/rview.*
%{_mandir}/man1/vi.*
%{_mandir}/man1/view.*
%{_mandir}/man1/vim.*
%{_mandir}/man1/vimdiff.*
%{_mandir}/man1/vimtutor.*
%{_mandir}/man1/xxd.*

%files macros
%defattr(-,root,root)
/bin/vimtutor
#/bin/gvimtutor
%{vimruntime}/*.vim
%{vimruntime}/autoload
%{vimruntime}/colors
%{vimruntime}/compiler
%{vimruntime}/ftplugin
%{vimruntime}/indent
%{vimruntime}/keymap
%{vimruntime}/lang
%{vimruntime}/macros
%{vimruntime}/pack
%{vimruntime}/plugin
%{vimruntime}/print
%{vimruntime}/spell
%{vimruntime}/syntax
%{vimruntime}/tools
%{vimruntime}/tutor
#%%exclude %{vimruntime}/plugin/filetype.vim

%files minimal
%defattr(-,root,root)
/bin/ex
/bin/vi
/bin/view
/bin/rvi
/bin/rview

%files enhanced
%defattr(-,root,root)
%{_bindir}/vim

%files X11
%defattr(-,root,root)
%{_datadir}/applications/gvim.desktop
#config(missingok) /etc/X11/wmconfig/gvim
%{_bindir}/gvim
%{_bindir}/vimx
%{_bindir}/gex
%{_bindir}/gview
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/evim.*

%changelog
* Sat Oct 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (8.1.0454-1m)
- update 8.1.0454

* Sun Jun 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (8.1.0059-1m)
- update 8.1.0059

* Fri May 18 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (8.1.0001-1m)
- update 8.1.0001

* Wed Apr 11 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (8.0.1686-1m)
- update 8.0.1686

* Tue Jan 30 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (8.0.1438-1m)
- update 8.0.1438
- change Source URL
- remove unused patches

* Sat Sep 23 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (8.0.586-2m)
- fix: build error

* Tue May  9 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.0.586-1m)
- use new tar-ball and remove rejected patches

* Wed Feb  1 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (8.0.22-2m)
- rebuild against libgcrypt-1.7.5-1m and libgnome-keyring

* Wed Oct 05 2016 Yohsuke Ooi <meke@momonga-linux.org> 
- (8.0.22-1m)
- update version 8.0 patchlevel 8.0.22

* Tue Sep 13 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (8.0.3-1m)
- update version 8.0 patchlevel 8.0.3

* Tue May 17 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (7.4.1831-1m)
- update version 7.4 patchlevel 7.4.1831

* Mon Apr 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (7.4.1707-1m)
- update version 7.4 patchlevel 7.4.1707

* Sat Dec 12 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.4.959-1m)
- update version 7.4 patchlevel 7.4.959

* Sat Nov 21 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.4.930-1m)
- update version 7.4 patchlevel 7.4.930

* Sun Nov  8 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.4.909-1m)
- update version 7.4 patchlevel 7.4.909

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.4.640-1m)
- update version 7.4 patchlevel 7.4.640
- fix Momonga BTS 503

* Fri Oct 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.471-1m)
- update version 7.4 patchlevel 7.4.471

* Sun Aug 31 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.430-1m)
- update version 7.4 patchlevel 7.4.430

* Mon Aug  4 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.389-1m)
- update version 7.4 patchlevel 7.4.389

* Tue Jul  1 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.347-2m)
- 7.4.208 was changed, update sources

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.347-1m)
- rebuild against perl-5.20.0
- update version 7.4 patchlevel 7.4.347

* Mon Apr 28 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.265-1m)
- update version 7.4 patchlevel 7.4.265

* Sat Apr  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.245-1m)
- update version 7.4 patchlevel 7.4.245

* Mon Mar 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.193-1m)
- update version 7.4 patchlevel 7.4.193

* Sun Feb 16 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.182-1m)
- update version 7.4 patchlevel 7.4.182

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.160-2m)
- rebuild against perl-5.18.2

* Mon Jan 27 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.160-1m)
- update version 7.4 patchlevel 7.4.160

* Fri Nov 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.103-1m)
- update version 7.4 patchlevel 7.4.103

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.083-1m)
- update version 7.4 patchlevel 7.4.083

* Mon Nov  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.068-1m)
- update version 7.4 patchlevel 7.4.068

* Sun Oct 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.052-1m)
- update version 7.4 patchlevel 7.4.052

* Sun Oct  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.050-1m)
- update version 7.4 patchlevel 7.4.050

* Sun Sep 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.035-1m)
- update version 7.4 patchlevel 7.4.035

* Sun Sep 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.027-1m)
- update version 7.4 patchlevel 7.4.027

* Thu Aug 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.4.005-1m)
- update version 7.4 patchlevel 7.4.005

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.1314-2m)
- rebuild against perl-5.18.1

* Sun Jul  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.1314-1m)
- update version 7.3 patchlevel 7.3.1314

* Mon Jun  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.1106-1m)
- update version 7.3 patchlevel 7.3.1106

* Fri May 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.1071-1m)
- update version 7.3 patchlevel 7.3.1071

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.967-2m)
- rebuild against perl-5.18.0

* Sat May 18 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.967-1m)
- update version 7.3 patchlevel 7.3.967

* Sat May 11 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.931-1m)
- update version 7.3 patchlevel 7.3.931

* Mon Apr 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.918-1m)
- update version 7.3 patchlevel 7.3.918

* Wed Apr 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.905-1m)
- update version 7.3 patchlevel 7.3.905

* Sun Apr 14 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.888-1m)
- update version 7.3 patchlevel 7.3.888

* Sun Apr  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.884-1m)
- update version 7.3 patchlevel 7.3.884

* Sat Mar 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.875-1m)
- update version 7.3 patchlevel 7.3.875

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.861-1m)
- update version 7.3 patchlevel 7.3.861
- rebuild against perl-5.16.3

* Sat Mar  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.854-1m)
- update version 7.3 patchlevel 7.3.854

* Sat Mar  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.843-1m)
- update version 7.3 patchlevel 7.3.843

* Sun Feb 24 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.831-1m)
- update version 7.3 patchlevel 7.3.831

* Sat Feb  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.806-1m)
- update version 7.3 patchlevel 7.3.806

* Thu Jan 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.797-1m)
- update version 7.3 patchlevel 7.3.797

* Sat Jan 26 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.785-1m)
- update version 7.3 patchlevel 7.3.785

* Tue Jan 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.773-1m)
- update version 7.3 patchlevel 7.3.773

* Wed Dec 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.762-1m)
- update version 7.3 patchlevel 7.3.762

* Tue Dec 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.754-1m)
- update version 7.3 patchlevel 7.3.754

* Sun Nov 25 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.729-1m)
- update version 7.3 patchlevel 7.2.729

* Sat Nov 17 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.715-1m)
- update version 7.3 patchlevel 7.3.715

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.712-2m)
- rebuild against perl-5.16.2

* Thu Oct 25 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.712-1m)
- update version 7.3 patchlevel 7.3.712

* Mon Oct 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.691-1m)
- update version 7.3 patchlevel 7.3.691

* Sat Oct  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.682-1m)
- update version 7.3 patchlevel 7.3.682

* Fri Sep 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.666-1m)
- update version 7.3 patchlevel 7.3.666

* Wed Sep 12 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.659-1m)
- update version 7.3 patchlevel 7.3.659

* Mon Sep  3 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.646-1m)
- update version 7.3 patchlevel 7.3.646
- patch 7.3.336 was changed

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.629-1m)
- update version 7.3 patchlevel 7.3.629

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.622-2m)
- rebuild against perl-5.16.1

* Mon Aug  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.622-1m)
- update version 7.3 patchlevel 7.3.622

* Tue Jul 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.618-1m)
- update version 7.3 patchlevel 7.3.618

* Sun Jul 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.600-1m)
- update version 7.3 patchlevel 7.3.600

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.591-1m)
- update version 7.3 patchlevel 7.3.591
- rebuild against perl-5.16.0

* Sat Jun 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.566-1m)
- update version 7.3 patchlevel 7.3.566

* Sun May 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.524-1m)
- update version 7.3 patchlevel 7.3.524

* Mon May 14 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.515-1m)
- update version 7.3 patchlevel 7.3.515

* Sat Mar 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.486-1m)
- update version 7.3 patchlevel 7.3.486

* Mon Mar 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.480-1m)
- update version 7.3 patchlevel 7.3.480

* Sat Mar 17 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.475-1m)
- update version 7.3 patchlevel 7.3.475

* Thu Mar 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.470-1m)
- update version 7.3 patchlevel 7.3.470

* Sun Feb 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.456-1m)
- update version 7.3 patchlevel 7.3.456

* Tue Feb 14 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.444-1m)
- update version 7.3 patchlevel 7.3.444

* Fri Feb 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.434-1m)
- update version 7.3 patchlevel 7.3.434

* Mon Jan 30 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.421-1m)
- update version 7.3 patchlevel 7.3.421

* Fri Jan 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.401-1m)
- update version 7.3 patchlevel 7.3.401

* Fri Jan  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.393-1m)
- update version 7.3 patchlevel 7.3.393

* Sun Jan  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.390-1m)
- update version 7.3 patchlevel 7.3.390

* Sat Dec 24 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.386-1m)
- update version 7.3 patchlevel 7.3.386

* Thu Dec 15 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.381-1m)
- update version 7.3 patchlevel 7.3.381

* Mon Dec 12 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.372-1m)
- update version 7.3 patchlevel 7.3.372

* Wed Dec  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.364-1m)
- update version 7.3 patchlevel 7.3.364

* Thu Dec  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.363-1m)
- update version 7.3 patchlevel 7.3.363

* Mon Oct 31 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.353-1m)
- update version 7.3 patchlevel 7.3.353

* Sat Oct 15 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.338-1m)
- update version 7.3 patchlevel 7.3.338

* Sat Oct  8 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.333-1m)
- update version 7.3 patchlevel 7.3.333

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.315-2m)
- rebuild against perl-5.14.2

* Wed Sep 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.315-1m)
- update version 7.3 patchlevel 7.3.315

* Tue Aug 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.289-1m)
- update version 7.3 patchlevel 7.3.289

* Thu Aug  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.266-1m)
- update version 7.3 patchlevel 7.3.266

* Thu Jul 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.260-1m)
- update version 7.3 patchlevel 7.3.260

* Sat Jul 16 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.254-1m)
- update version 7.3 patchlevel 7.3.254

* Sat Jul  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.244-1m)
- update version 7.3 patchlevel 7.3.244

* Thu Jun 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.237-2m)
- revert 7.3.202

* Thu Jun 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.237-1m)
- 7.3.202/7.3.203/7.3.223 was released again and set NoPatch to them
- update version 7.3 patchlevel 7.3.237

* Sun Jun 26 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.235-1m)
- update version 7.3 patchlevel 7.3.235

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.230-2m)
- rebuild against perl-5.14.1

* Tue Jun 21 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.230-1m)
- update version 7.3 patchlevel 7.3.230
- ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.223 could not be applied...

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.219-1m)
- update version 7.3 patchlevel 7.3.219

* Mon May 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.206-1m)
- update version 7.3 patchlevel 7.3.206
- ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.202 could not be applied...
- ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.203 could not be applied...

* Fri May 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.198-1m)
- update version 7.3 patchlevel 7.3.198

* Fri May 13 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.189-1m)
- update version 7.3 patchlevel 7.3.189

* Tue May 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.184-1m)
- update version 7.3 patchlevel 7.3.184

* Sat May  7 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (7.3.170-3m)
- fix broken BuildRequires

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.170-2m)
- rebuild against perl-5.14.0-0.2.1m

* Thu May  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.170-1m)
- update version 7.3 patchlevel 7.3.170

* Wed May  4 2011 Yohsuke Ooi <meke@momonga-linux.org>
- (7.3.162-3m)
- fix momorel

* Thu Apr 28 2011 Yohsuke Ooi <meke@momonga-linux.org>
- (7.3.162-2m)
- rebuild for python-2.7

* Tue Apr 26 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.162-1m)
- update version 7.3 patchlevel 7.3.162

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (7.3.154-2m)
- rebuild for new GCC 4.6

* Fri Apr  8 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.154-1m)
- update version 7.3 patchlevel 7.3.154

* Mon Mar 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.146-1m)
- update version 7.3 patchlevel 7.3.146

* Mon Mar  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.138-1m)
- update version 7.3 patchlevel 7.3.138

* Tue Jan 25 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.107-1m)
- update version 7.3 patchlevel 7.3.107

* Wed Jan 19 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.102-1m)
- update version 7.3 patchlevel 7.3.102

* Wed Jan  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.098-1m)
- update version 7.3 patchlevel 7.3.098

* Fri Dec 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.087-1m)
- update version 7.3 patchlevel 7.3.087

* Thu Dec  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.081-1m)
- update version 7.3 patchlevel 7.3.081

* Fri Dec  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.075-1m)
- update version 7.3 patchlevel 7.3.075

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (7.3.069-2m)
- rebuild for new GCC 4.5

* Thu Nov 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.069-1m)
- update version 7.3 patchlevel 7.3.069

* Wed Nov 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.062-1m)
- update version 7.3 patchlevel 7.3.062

* Thu Nov 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.055-1m)
- update version 7.3 patchlevel 7.3.055
- CVE-2010-3914 (perhaps, windows only...) was resolved in 7.3.034

* Thu Nov  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.050-1m)
- update version 7.3 patchlevel 7.3.050

* Fri Oct 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.047-1m)
- update version 7.3 patchlevel 7.3.047

* Mon Oct 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.035-1m)
- update version 7.3 patchlevel 7.3.035
- add Requires: perl-libs to vim-enhanced

* Fri Oct 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.032-2m)
- add BuildRequires: perl-ExtUtils-Embed
- add BuildRequires: libbsd-devel

* Thu Oct 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.032-1m)
- update version 7.3 patchlevel 7.3.032
- do not install filetype.vim to plugin directory to fix #309
-- http://developer.momonga-linux.org/kagemai/guest.cgi?action=view_report&id=309&project=momongaja

* Sat Oct 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.029-1m)
- update version 7.3 patchlevel 7.3.029

* Sun Oct 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.020-1m)
- update version 7.3 patchlevel 7.3.020

* Tue Sep 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.3.011-1m)
- update version 7.3 patchlevel 7.3.011

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.444-4m)
- rebuild against perl-5.12.2

* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.2.444-3m)
- [BUG FIX] fix %%post and %%postun X11

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (7.2.444-2m)
- full rebuild for mo7 release

* Wed Jun 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.444-1m)
- update version 7.2 patchlevel 7.2.444

* Sat May 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.440-1m)
- update version 7.2 patchlevel 7.2.440

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.433-2m)
- rebuild against perl-5.12.1

* Sat May 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.433-1m)
- update version 7.2 patchlevel 7.2.433

* Thu May 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.416-1m)
- update version 7.2 patchlevel 7.2.416

* Mon Apr 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.411-1m)
- rebuild against perl-5.12.0
- update version 7.2 patchlevel 7.2.411

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.403-1m)
- update version 7.2 patchlevel 7.2.403

* Sun Mar  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.385-1m)
- update version 7.2 patchlevel 7.2.385

* Fri Jan 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.351-1m)
- update version 7.2 patchlevel 7.2.351

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.323-1m)
- update version 7.2 patchlevel 7.2.323

* Sun Nov 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.309-1m)
- update version 7.2 patchlevel 7.2.309

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.2.267-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct  9 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (7.2.267-1m)
- update version 7.2 patchlevel 7.2.267

* Tue Oct  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.2.245-3m)
- [SECURITY] CVE-2008-4677 CVE-2008-3076 CVE-2008-6235
- replace vulnerable vim scripts

* Wed Aug 26 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (7.2.245-2m)
- rebuild against perl-5.10.1

* Mon Aug 24 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.245-1m)
- update version 7.2 patchlevel 7.2.245

* Sun Jun 28 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (7.2.218-1m)
- update version 7.2 patchlevel 7.2.218

* Sat Jun 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (7.2.197-1m)
- update version 7.2 patchlevel 7.2.197

* Fri May  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.166-1m)
- update version 7.2 patchlevel 7.2.166
- add README

* Tue Apr 21 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.148-1m)
- update version 7.2 patchlevel 7.2.148

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.2.069-5m)
- rebuild against rpm-4.6

* Wed Jan 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.2.069-4m)
- rebuild against gpm-1.20.5

* Wed Jan  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (7.2.069-3m)
- drop Patch0 for fuzz=0, merged upstream
- update Patch1 for fuzz=0

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.069-2m)
- rebuild against python-2.6.1-2m

* Sat Dec 20 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.069-1m)
- [SECURITY] CVE-2009-0316
- update version 7.2 patchlevel 7.2.069

* Sat Sep 27 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.2.022-1m)
- [SECURITY] CVE-2008-4101 CVE-2008-3074 CVE-2008-3075
- update version 7.2 patchlevel 7.2.022

* Mon Aug 25 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (7.2.2-1m)
- update 7.2.2

* Wed Aug  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (7.1.330-1m)
- [SECURITY] CVE-2008-3294
- update to version 7.1 patchlevel 7.1.330

* Thu Jun 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (7.1.315-1m)
- [SECURITY] CVE-2008-2712
- update to version 7.1 patchlevel 7.1.315

* Mon Jun  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (7.1.305-1m)
- update to version 7.1 patchlevel 7.1.305

* Wed Apr 16 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.293-1m)
- update version 7.1 patchlevel 7.1.293

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.1.285-2m)
- rebuild against gcc43

* Sun Mar 23 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.285-1m)
- update version 7.1 patchlevel 7.1.285

* Mon Mar 10 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (7.1.269-1m)
- update to version 7.1 patchlevel 7.1.269

* Fri Feb  8 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (7.1.244-2m)
- need ncurses-5.6-10m

* Thu Feb  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (7.1.244-1m)
- update to version 7.1 patchlevel 7.1.244
- rebuild against ncurses-5.6-10(Obso libtermcap)

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.242-1m)
- update to version 7.1 patchlevel 7.1.242
- build against perl-5.10.0-1m

* Mon Jan 15 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.228-1m)
- update to version 7.1 patchlevel 7.1.228

* Tue Dec 11 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.175-1m)
- update to version 7.1 patchlevel 7.1.175

* Sun Nov  4 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.147-1m)
- update to version 7.1 patchlevel 7.1.147

* Fri Aug 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (7.1.093-1m)
- update to version 7.1 patchlevel 7.1.093
- [SECURITY] CVE-2007-2953 was resolved at patchlevel 7.1.039

* Thu Jul 12 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.028-1m)
- update to version 7.1 patchlevel 7.1.028

* Sun Jul  8 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.1.018-1m)
- update to version 7.1 patchlevel 7.1.018

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.0.243-2m)
- add Patch52 vim-7.0-syntax-spec-momonga.patch

* Thu May 11 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.243-1m)
- updatre with basic patches 7.0.216 to 7.0.243

* Sat Mar 10 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.215-1m)
- update with basic patches 7.0.183 to 7.0.215

* Wed Jan 10 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.182-1m)
- update with basic patches 7.0.179 to 7.0.182

* Sat Dec 16 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.178-1m)
- update with basic patches 7.0.165 to 7.0.178

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.164-1m)
- update with basic patches 7.0.147 to 7.0.164

* Fri Oct 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.0.146-2m)
- comment out --enable-rubyinterp (for autoconf-2.60)

* Sun Oct 22 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.146-1m)
- update with basic patches 7.0.040 to 7.0.146

* Mon Jul 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.39-1m)
- update with basic patches 7.0.018 to 7.0.039

* Fri Jun  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.0.17-4m)
- delete duplicated dir

* Wed Jun  7 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.0.17-3m)
- comment out gvim.1.* from vim-X11 files list for avoid file conflicts
  between vim-comon

* Thu May 18 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0.17-1m)
- update with patches 7.0.001 to 7.0.017

* Wed May 16 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.0-2m)
- fix build

* Wed May 10 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.0-1m)

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (6.4.10-1m)
- add Patch110
- updated to 6.4 patchlevel 10

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.4.9-2m)
- revised installdir

* Thu Mar 16 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4.9-1m)
- add Patch109
- updated to 6.4 patchlevel 9

* Fri Mar 3 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4.8-1m)
- add Patch108
- updated to 6.4 patchlevel 8

* Sun Feb 12 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4.1-3m)
- add Patch 107

* Sat Jan 22 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4.1-2m)
- rename Patch100 to 101
- add Patches 102 to 106

* Sun Nov 5 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.4.1-1m)
- version 6.4 patch level 001

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (6.3.86-4m)
- build against python-2.4.2

* Fri Aug 22 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (6.3.86-3m)
- modified spec.vim for momonga

* Fri Aug 19 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (6.3.86-2m)
- revised spec.vim: look at not only %%define but %%global on searching a variable definition in .spec file

* Fri Aug 19 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (6.3.86-1m)
- updated to 6.3 patchlevel 86

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (6.3.62-2m)
- rebuild against libtermcap and ncurses

* Sun Feb 20 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (6.3.62-1m)
- update to 6.3 patchlevel 62
- Patch11 --> Patch145
- add gvim.desktop and gvim icon file
- add execute MIME application databese create command for %%post & %%postun

* Fri Dec 17 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (6.3.20-2m)
- [SECURITY] Vim / Gvim Modelines Command Execution Vulnerabilities
  http://secunia.com/advisories/13490/

* Fri Sep  3 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (6.3.20-1m)
- update to 6.3 patchlevel 20

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (6.3.4-2m)
- remove Epoch from BuildPrereq

* Tue Jun 15 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (6.3.4-1m)
- up to version 6.3 pache level 4

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (6.2.127-6m)
- rebuild against ncurses 5.3.

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (6.2.127-5m)
- rebuild against for libxml2-2.6.8

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (6.2.127-4m)
- revised spec for rpm 4.2.

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (6.2.127-3m)
- accept any version of python

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (6.2.127-2m)
- rebuild against perl-5.8.1

* Fri Oct 24 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (6.2.127-1m)
- up to version 6.2.127
- update hardcopy-multibyte patch for vim 6.2

* Mon Aug  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (6.1.474-2m)
- rebuild against ruby-1.8

* Wed Apr 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (6.1.474-1m)
- update to patch level 474.
- use the source archives that include all the patches
  up to and including 6.1.405.
  http://marc.theaimsgroup.com/?l=vim-announce&m=104914253629987&w=2
- fix Requires:
    vim-minimal -> vim-common
    vim-{enhanced,X11} -> vim-common, vim-macros
- remove files in -common that are contained in -macros.
- move $VIMRUNTIME/doc to -common so as to
  make help be available by vim-minimal.
- move vimtutor to -macros since it is useless for -minimal
- define macro %%vimruntime and use it.
- use more macros
- see [Momonga-devel.ja:01592] for details.

* Fri Feb 07 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-9m)
- added patch ( from 6.1.248-6.1.320)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (6.1-8m)
- invoke autoconf-old to ignore gcc-3.X warnings

* Sat Nov 02 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-7m)
- added patch (from 6.1.145-6.1.247)

* Mon Sep 09 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-6m)
- added patch (from 6.1.144-6.1.174)

* Sat Aug 03 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (6.1-5m)
- added patch (from 6.1.095-6.1.143)

* Thu Jun 13 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (6.1-4k)
- added patch to 6.1.094.
- (change patch100 from vim-6.1-001-041.gz to vim-6.1-001-094.gz).

* Tue Apr 30 2002 Motonobu Ichimura <famao@kondara.org>
- (6.1-2k)
- up to 6.1
- added patch from 6.1.001 to 6.1.041

* Fri Mar 01 2002 Motonobu Ichimura <famao@kondara.org>
- (6.0-14k)
- added patch (from 6.0-223-6.0.270)

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (6.0-12k)
- rebuild against for db3,4 and python-2.2

* Wed Feb 13 2002 Motonobu Ichimura <famao@kondara.org>
- (6.0-10k)
- added patch (from 6.0.063-6.0.222)
- added ps patch for multibyte support (at :hardcopy)

* Sat Nov 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-8k)
- moved vim patches to one gzip'ed patch

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-6k)
- added patch (from 6.0.012 to 6.0.063)
- added BuildRequires,Requires Tag

* Thu Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-4k)
- added --enable-multibyte option to vim-minimal
-    (for li18nux test suite)

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-3k)
- now official release
- patches (from 6.0.001 to 6.0.011) added

* Wed Aug 22 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520503k)
- up to 6.0as
- more translations to UTF-8

* Tue Aug 21 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520403k)
- import to Jirai

* Tue Aug 21 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.00520402k)
- up to 6.0ar

* Tue Aug 07 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005202k)
- import to STABLE_2_0

* Tue Jul 31 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005203k)
- up to 6.0ap
- this is first-beta relase (see http://www.vim.org)

* Tue Jul 17 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.005005k)
- modified vimrc
- now re-enable to be built by non-root users :-P)

* Sun Jul  8 2001 Toru Hoshina <toru@df-usa.com>
- (6.0-0.004010k)
- fixed ruby hdr issue.

* Sun May 20 2001 Toru Hoshina <toru@df-usa.com>
- (6.0-0.004008k)
- remove /usr/bin/vi symlink because the vipw and thew visudo no longer
  depends on that, appologize to confused.

* Fri May 18 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004006k)
- change "vi" --with-features=tiny to --with-features=small

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004004k)
- add /usr/bin/vi -> /bin/vi symlinks

* Fri May 11 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (6.0-0.004002k)
- add URL:
- update to 6.0ae

* Thu May 03 2001 Motonobu Ichimura <famao@digitalfactory.co.jp>
- (6.0-0.003002k)
- imported to Mary

* Thu May 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0-0.003003k)
- added more stuff.
- renamed version to 0.003003k

* Thu May 03 2001 Motonobu Ichimura <famao@kondara.org>
- (6.0ad-3k)
- version up
- many changes added.

* Sat Dec 23 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0q-3k

* Sat Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.0h-7k)
- modified spec file with %{_mandir} macor for compatible

* Mon Oct 09 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0h

* Thu Sep 27 2000 Motonobu Ichimura <famao@kondara.org>
- add support for UTF-8

* Wed Sep 13 2000 Motonobu Ichimura <famao@kondara.org>
- up to 6.0g
- added many many changes, but I need more ;-)

* Thu Apr 18 2000 Takaaki Tabuchi <tab@kondara.org>
- fix vim was not exist.

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- fix file not found vim.

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (5.6-11).

* Wed Mar 08 2000 Motonobu Ichimura <famao@kondara.org>
- now DONT uses macros for initial setting

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home/end in vimrc (we did a term = rxvt, totally wrong)

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- use static link (vim-minimal)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- change F1-F4 keybindings for xterm builtin terminfo to match real terminfo

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- kill autoindent

* Fri Feb 11 2000 Motonobu Ichimura <famao@kondara.org>
- now uses include vimrc_example for initial setting

* Tue Feb 10 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.6a
- some change added for japanese

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Patchlevel 11
- handle compressed man pages
- fix man page symlinks

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on X in vim-enhanced, and ncurses/gpm
  in vim-minimal

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on csh and perl in vim-common

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use awk, not nawk

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.6
- patch 5.6.001
- remove /usr/bin/vi - if you want vim, type vim

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.6a
- Remove dependency on nawk (introduced by base update)
- some tweaks to make updating easier

* Wed Nov 24 1999 Motonobu Ichimura <famao@kondara.org>
- up to 5.5
- fix mouse-enabled problem. sorry :-P)

* Thu Nov 11 1999 Motonobu Ichimura <famao@kondara.org>
- add some changes and rebuild against without libtermcap

* Tue Nov  9 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.5
- fix path to vimrc

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 5 1999 Shin Fukui <shinta@april.co.jp>
- add configure options for multibyte support

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
